---
layout: post
title: "Hi, I have a smoothieboard 4XC for sale for anyone looking for one: Please email me for more info Thanks"
date: February 08, 2016 14:11
category: "General discussion"
author: "Seb R"
---
Hi, 



I have a smoothieboard 4XC for sale for anyone looking for one:



Please email me for more info



Thanks





**"Seb R"**

---


---
*Imported from [Google+](https://plus.google.com/110820269858973165163/posts/hm5H4AZ7ZPr) &mdash; content and formatting may not be reliable*
